Subject: Re: Bug in Cygwin SSHD on windows XP
From: Frank-Michael Moser <[email-masked]>
To: [email-masked]
Date: Thu, 28 Nov 2002 12:53:19 +0100

Corinna Vinschen wrote:

>>$ getfacl wsock32.dll
>># file: wsock32.dll
>># owner: moser
>># group: Kein
>>user::rwx
>>group::rwx
>>group:Benutzer:r-x
>>mask::rwx
>>other::---
>>
>>("other::---" - could this be the problem?)
> ...
> I wonder how that happened on your machine.  It's normal that files under
> ${windir} are owned by Administrators and group SYSTEM.

Sorry but unfortunately I sent you the getfacl output with 
CYGWIN=nontsec (This is because I have problems removing CVS locks from 
a local repository on a Samba share.)

Here is the output with ntsec:

moser@PIP /cygdrive/c/WINDOWS/system32
$ getfacl wsock32.dll
# file: wsock32.dll
# owner: Administratoren
# group: SYSTEM
user::rwx
group::rwx
group:Benutzer:r-x
mask::rwx
other::---

-- 
------------------------------------------------------------
DECODON GmbH                        phone: +49(0)3834 515231
W.-Rathenau-Str. 49a                  fax: +49(0)3834 515239
17489 Greifswald                    email: [email-masked]
Germany                               web:   www.decodon.com
------------------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/